precision lowp float;

uniform sampler2D s_tex0;
uniform sampler2D s_Alpha;

varying vec4 v_Colour;
varying mediump vec2 v_TexCoord;
varying mediump vec2 v_TexCoord2;
varying float v_BlendWeight; 

void main()
{
	vec4 xTexture1 = vec4(texture2D(s_tex0, v_TexCoord).rgb, texture2D(s_Alpha, v_TexCoord).r);
	vec4 xTexture2 = vec4(texture2D(s_tex0, v_TexCoord2).rgb, texture2D(s_Alpha, v_TexCoord2).r);
	gl_FragColor = mix(xTexture2, xTexture1, v_BlendWeight) * v_Colour;
}

