precision mediump float;



uniform sampler2D s_tex0;

uniform vec3 u_SkyboxColour;

uniform vec4 u_FogColour;



varying vec2 v_TexCoord;



void main()

{

	vec3 baseColour = texture2D(s_tex0, v_TexCoord).xyz * u_SkyboxColour;

	vec3 colour = mix(baseColour, u_FogColour.xyz, u_FogColour.w);

	gl_FragColor = vec4(colour, 1.0);

}

