precision lowp float;

uniform sampler2D s_tex0;
uniform sampler2D s_Alpha;

varying lowp vec4 v_VertexColour;
varying mediump vec2 v_TexCoord;

void main()
{
	vec4 xTexture = vec4(texture2D(s_tex0, v_TexCoord).rgb, texture2D(s_Alpha, v_TexCoord).r);
	gl_FragColor = xTexture * v_VertexColour;
}

