uniform mat4 u_ViewProj;



attribute vec4 a_Position;

attribute vec4 a_Colour;

attribute vec2 a_Texcoord;

attribute vec2 a_Texcoord2;

attribute float a_BlendWeight;



varying lowp vec4 v_Colour;

varying mediump vec2 v_TexCoord;

varying mediump vec2 v_TexCoord2;

varying lowp float v_BlendWeight; 



void main()

{

    gl_Position = u_ViewProj * a_Position;

	v_Colour = a_Colour;

	v_TexCoord = a_Texcoord;

	v_TexCoord2 = a_Texcoord2;

	v_BlendWeight = a_BlendWeight;

}

